
%define	upstream_name	 Module-Signature
%define	upstream_version 0.55

Name:       perl-%{upstream_name}
Version:     %{upstream_version}
Release:    %mkrel 10

Summary:	Check and create SIGNATURE files for CPAN distributions
License:	Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Module-Signature-0.55-skip-rpm-files.patch

BuildRequires:	perl(Digest::SHA1)
BuildRequires:	perl(PAR::Dist)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
This is a perl module to check and create SIGNATURE files
for CPAN distributions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p 1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor --skipdeps </dev/null
%make



%install
rm -rf %{buildroot}
%{makeinstall_std}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS Changes README
%{_bindir}/*
%exclude %{_mandir}/man*/*
%{perl_vendorlib}/Module


%changelog
* Sun Sep 12 2009 pcserver <pcserver at hushmail.com>
-update

